Smart Proxy - Bug #6745

Clean up the params input to the DHCP::Server.addRecord method
07/23/2014 02:13 AM - Aaron Stone

Status: Closed
Priority: Normal
Assignee: Aaron Stone
Category: DHCP
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/185
Description

Clean up the params input to the DHCP::Server.addRecord method

Actual:
Add a DHCP record to local DHCP config files.
POST the same record information to the DHCP new record endpoint

Smart Proxy returns an HTTP 409 claiming that the new record conflicts with the existing record.

Expected:
Smart Proxy ignores the new record because it is a match for the existing config file record.

Associated revisions

Revision dd9d295b - 08/06/2014 09:10 AM - Aaron Stone
Fixes #6745 - Clean up the params input to the DHCP::Server.addRecord method

This fixes the ability to match and ignore pre-existing identical DHCP records.

History

#1 - 08/06/2014 09:09 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Aaron Stone

- Target version setto 1.7.5

- translation missing: en.field_release set to 10

- Pull request https://github.com/theforeman/smart-proxy/pull/185 added
- Pull request deleted ()

#2 - 08/06/2014 10:01 AM - Aaron Stone
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset dd9d295bc439d467bbfc455b28b63d37176dea21.
